import Film_Manager from "../../../Film/Film_Manager";
import Progression_Manager from "../../../Progression/Progression_Manager";
import Quest_Manager from "../../../Quest/Quest_Manager";
import Raid_Manager from "../../../Raid/Raid_Manager";
import Form_Dialog_Manager from "../../Managers/Form_Dialog_Manager";
export const dialog_joel = {
    name: "Joel",
    texture: "textures/ui/dialog/humanoid_joel",
    messages: ["Hello friend!"],
    buttons: [
        {
            text: "Raid",
            async callback(player, entity) {
                const progression = Progression_Manager.get("7973dae5-1fd9-4a79-95e6-270191816979");
                if (progression.active_Task != 3) {
                    const dialog = {
                        name: dialog_joel.name,
                        texture: dialog_joel.texture,
                        messages: ["You need to complete all the quests on this island before you can unlock the raid."],
                        buttons: [
                            {
                                text: "Okay",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
                else {
                    const dialog = {
                        name: dialog_joel.name,
                        texture: dialog_joel.texture,
                        messages: ["Are you strong enough to fight the monsters?"],
                        buttons: [
                            {
                                text: "§aYes",
                                async callback(player, entity) {
                                    Raid_Manager.start(player.dimension.id, player.location);
                                },
                            },
                            {
                                text: "Can you show me where?",
                                async callback(player, entity) {
                                    Film_Manager.play(player, "c2d26f28-6858-4257-babf-25c2a10fedf5", 0);
                                },
                            },
                            {
                                text: "§cNo",
                                async callback(player, entity) { },
                            },
                        ],
                    };
                    Form_Dialog_Manager.show(player, dialog, 0, entity);
                }
            },
        },
        {
            text: "Quest",
            async callback(player, entity) {
                Quest_Manager.dialog(player, entity, dialog_joel.name, dialog_joel.texture);
            },
        },
    ],
};
